Subject: Re: Bug#769340: GNUS Mails marked read after connection dropps

From: Rob Browning <[email-masked]>
Date: Wed, 12 Nov 2014 16:46:43 -0600

[If possible, please preserve the -forwarded address in any replies.]

I realize we may need more information, but this seems potentially
serious enough that I wanted to go ahead and forward it immediately.

Thanks

Christoph Egger <[email-masked]> writes:

> Package: emacs24
> Version: 24.4+1-4
> Severity: important
>
> Hi!
>
>   I have had a strange problem with gnus now several times. After
> trying to load a group in gnus -- if the connection dies while doing
> so -- I sometimes end up with the whole imap folder marked as read. I
> consider this read information important user data and it's almost as
> paoinfull as loosing email outright
>
>   Christoph
>
> -- System Information:
> Debian Release: jessie/sid
>   APT prefers testing
>   APT policy: (990, 'testing'), (500, 'buildd-unstable'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
> Architecture: kfreebsd-amd64 (x86_64)
>
> Kernel: kFreeBSD 10.1-0-amd64
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages emacs24 depends on:
> ii  emacs24-bin-common     24.4+1-4
> ii  gconf-service          3.2.6-3
> ii  libacl1                2.2.52-2
> ii  libatk1.0-0            2.14.0-1
> ii  libc0.1                2.19-13
> ii  libcairo-gobject2      1.14.0-2.1
> ii  libcairo2              1.14.0-2.1
> ii  libdbus-1-3            1.8.8-2
> ii  libfontconfig1         2.11.0-6.1
> ii  libfreetype6           2.5.2-2
> ii  libgconf-2-4           3.2.6-3
> ii  libgdk-pixbuf2.0-0     2.31.1-2+b1
> ii  libgif4                4.1.6-11
> ii  libglib2.0-0           2.42.0-2
> ii  libgnutls-deb0-28      3.3.8-3
> ii  libgomp1               4.9.1-19
> ii  libgtk-3-0             3.14.4-2
> ii  libice6                2:1.0.9-1
> ii  libjpeg62-turbo        1:1.3.1-10
> ii  libm17n-0              1.6.4-3
> ii  libmagickcore-6.q16-2  8:6.8.9.9-2
> ii  libmagickwand-6.q16-2  8:6.8.9.9-2
> ii  libotf0                0.9.13-2
> ii  libpango-1.0-0         1.36.8-2
> ii  libpangocairo-1.0-0    1.36.8-2
> ii  libpng12-0             1.2.50-2+b1
> ii  librsvg2-2             2.40.5-1
> ii  libsm6                 2:1.2.2-1
> ii  libtiff5               4.0.3-10+b3
> ii  libtinfo5              5.9+20140913-1
> ii  libx11-6               2:1.6.2-3
> ii  libxft2                2.3.2-1
> ii  libxinerama1           2:1.1.3-1+b1
> ii  libxml2                2.9.1+dfsg1-4
> ii  libxpm4                1:3.5.11-1
> ii  libxrandr2             2:1.4.2-1+b1
> ii  libxrender1            1:0.9.8-1+b1
> ii  zlib1g                 1:1.2.8.dfsg-2
>
> emacs24 recommends no packages.
>
> Versions of packages emacs24 suggests:
> ii  emacs24-common-non-dfsg  24.4+1-2

-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4